Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes.support
Class WsdlTestStepsModelItem

    java.lang.Object
      com.eviware.soapui.model.tree.nodes.support.EmptyModelItem
          com.eviware.soapui.model.tree.nodes.support.WsdlTestStepsModelItem

All Implemented Interfaces:
  ModelItem, PropertyChangeNotifier

    public class WsdlTestStepsModelItem

extends EmptyModelItem

ModelItem for TestSteps node

Author:
  ole.matzura

Nested Class Summary
`class` | `WsdlTestStepsModelItem.InternalTestSuiteListener`

Field Summary

Fields inherited from interface com.eviware.soapui.model.ModelItem
`DESCRIPTION_PROPERTY, ICON_PROPERTY, NAME_PROPERTY`

Constructor Summary
`WsdlTestStepsModelItem(TestCase testCase)`

Method Summary
`Settings` | `getSettings()`
`WsdlTestCase` | `getTestCase()`
`void` | `release()`
`void` | `updateLabel()`

Methods inherited from class com.eviware.soapui.model.tree.nodes.support.EmptyModelItem
`addPropertyChangeListener, addPropertyChangeListener, getDescription, getIcon, getName, removePropertyChangeListener, removePropertyChangeListener, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestStepsModelItem

    public WsdlTestStepsModelItem(TestCase testCase)

Method Detail

### getSettings

    public Settings getSettings()

  Specified by:
    `getSettings` in interface `ModelItem`
  Overrides:
    `getSettings` in class `EmptyModelItem`

### getTestCase

    public WsdlTestCase getTestCase()

### release

    public void release()

  Overrides:
    `release` in class `EmptyModelItem`

### updateLabel

    public void updateLabel()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.